Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236273 - RFE: option to delete recurrent appointments in the future only
Summary: RFE: option to delete recurrent appointments in the future only
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 6
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-12 19:46 UTC by Matthew Saltzman
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-06 23:47:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 467632 None None None Never

Description Matthew Saltzman 2007-04-12 19:46:31 UTC
Description of problem:
The delete function for a recurrent appointment allows only deleting all
occurrneces or deleting the present occurrence.  It would be nice to also be
able to delete the present occurrence and all future occurrences, but leave the
past occurrences alone.  Presently, to do this, one must open the appointment,
open the recurrence page, and adjust the end date.

Version-Release number of selected component (if applicable):
evolution-2.8.3-2.fc6

How reproducible:
Always

Steps to Reproduce:
1. Create a recurrent appointment.
2. Right-click on the appointment and select delete.
3. A dialog box pops up.
  
Actual results:
Dialog box offers "delete current" or "delete all"

Expected results:
Dialog box offers "delete current", "delete all" or "delete current and future"

Additional info:
My old Palm IIIxe calendar does this.  It's quite a bit handier than trying to
manage the appoinment through the recurrence dialog.

Comment 1 Matthew Saltzman 2007-04-12 20:07:37 UTC
Sorry, I misspoke.  Step 2 above should be simply "Right-click on the appointment."

Comment 2 Matthew Barnes 2007-10-06 23:47:58 UTC
A similiar request was filed upstream so I'm going to merge this with the
upstream bug.  Please see [1] for further updates.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=467632


Note You need to log in before you can comment on or make changes to this bug.